@import url("https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

body {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 400;
  font-size: 16px;
}

.dark,
.dark p,
.dark td {
  color: #fff;
  line-height: 1.6;
}

.box-text a:not(.button),
.box-text h1,
.box-text h2,
.box-text h3,
.box-text h4,
.box-text h5,
.box-text h6,
.box-text p {
  margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
b,
strong {
  font-weight: 600;
}

.icon-box-img img,
.icon-box-img svg {
  padding: 0;
}

.title-box {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 15px;
  gap: 8px;
}

.title-box h2 {
  width: auto;
  margin: 0;
  font-size: 2rem;
  font-weight: 700;
}

.slider .flickity-button.flickity-prev-next-button {
  margin: 0;
  opacity: 1;
  width: 36px;
  height: 36px;
  transform: none;
  box-shadow: 0 0 6px rgb(0 0 0 / 0.1), 0 3px 6px rgb(0 0 0 / 0.05);
  background-color: #fff;
  border-radius: 99px;
  min-height: unset;
}

.slider .flickity-button.flickity-prev-next-button:hover {
  background-color: var(--fs-color-primary);
}

.slider .flickity-button.flickity-prev-next-button svg {
  border: 0;
  width: 30px;
}

.slider .flickity-button.flickity-prev-next-button.previous {
  left: -8px;
}

.slider .flickity-button.flickity-prev-next-button.next {
  right: -8px;
}

.img-br {
  border-radius: 10px;
  overflow: hidden;
}

/* home */
.home2 {
  padding-top: 3rem;
}

.countdown-box {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4px;
}

.countdown-box b {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  min-width: 46px;
  height: 40px;
  background-color: #010101;
  font-weight: 700;
  color: #fff;
  border-radius: 4px;
}

.countdown-box span {
  display: block;
  text-align: center;
  font-weight: 700;
  font-size: 12px;
  text-transform: uppercase;
  line-height: 2;
}

.countdown-box span.gap {
  font-size: 20px;
  font-weight: 700;
  position: relative;
  top: -14px;
}

.home3 {
  padding-top: 3rem;
}

.home3 .title {
  margin-bottom: 2rem;
}

.home3 .img-br {
  margin-bottom: 2rem;
}

.home4 {
  padding-top: 3rem;
}

/* product-small */
.product-small.box {
  border: 1px solid #e0e0e0;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
  padding: 10px;
  transition: all 0.3s ease;
  background-color: #fff;
  border-radius: 10px;
}

.product-small .box-text {
  padding: 10px 0;
}

.product-small .box-text .name {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 30px;
}

.product-small .box-text .name a {
  color: #212121;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.product-small span.amount {
  font-size: 16px;
  color: var(--fs-color-primary);
}

.product-buttons {
  position: absolute;
  bottom: 0;
  right: 0;
}

.product-buttons .product-cart a {
  font-size: 0;
  width: 36px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #e1e1e1;
  border-radius: 99px;
  position: relative;
}

.product-buttons .product-cart a:before {
  content: "\f07a";
  color: #ffffff;
  font-size: 16px;
  font-weight: 700;
  font-family: "Font Awesome 6 Pro";
}

.product-buttons .product-cart a.added {
  display: none;
}

.product-buttons .product-cart a.added_to_cart {
  background-color: var(--fs-color-primary);
}

.product-buttons .product-cart a.added_to_cart::before {
  content: "\f00c";
  font-size: 18px;
}

.product-buttons .product-cart a.loading::after {
  -webkit-animation: spin 500ms infinite linear;
  animation: spin 500ms infinite linear;
  border: 2px solid #0ba2e8;
  border-radius: 32px;
  border-right-color: #ffffff !important;
  border-top-color: #ffffff !important;
  content: "" !important;
  display: inline-block;
  height: 16px;
  width: 16px;
  position: absolute;
}

@keyframes spin {
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.product-small.box:hover {
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.product-small.box:hover .product-buttons .product-cart a {
  background-color: var(--fs-color-primary);
}

.product-small.box:hover .product-buttons .product-cart a::after {
  color: #fff;
}

.product-small span.amount {
  color: #cd0000;
  font-size: 16px;
  font-weight: 600;
}
